Bug 50487

Summary: [Qt] Flash plugins should work in windowless mode on QGraphicsWebView
Product: WebKit Reporter: Viatcheslav Ostapenko <ostap73>
Component: WebKit QtAssignee: Viatcheslav Ostapenko <ostap73>
Status: RESOLVED FIXED    
Severity: Normal CC: ademar, commit-queue, eric, girish, hui_huang, laszlo.gombos
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: S60 Hardware   
OS: S60 3rd edition   
Attachments:
Description Flags
Remove #ifdef OS(SYMBIAN) none

Description Viatcheslav Ostapenko 2010-12-03 14:41:28 PST
Flash plugins should work in windowless mode on QGraphicsWebView. Default mode for Nokia flash plugin will be windowless.

Generally, #ifdef introduced by commit r69396 should be removed.
Comment 1 Viatcheslav Ostapenko 2010-12-03 15:05:43 PST
Created attachment 75548 [details]
Remove #ifdef OS(SYMBIAN)
Comment 2 Laszlo Gombos 2010-12-07 10:16:15 PST
Comment on attachment 75548 [details]
Remove #ifdef OS(SYMBIAN)

Looks good to me, r+.

However I'd like to hear from Hui that he is OK committing the change; cq- for now.
Comment 3 Hui Huang 2010-12-07 10:28:36 PST
The reason to disable the code to force Flash plugin to run in Windowless mode on Symbian was based on the comments from Symbian Flash Player developers that Symbian Flash Player works better in Windowed mode. Simon already commented about the problems with windowed plugin in Qt Graphics View. If running in Windowless mode is no longer a problem for Symbian Flash Player, I don't have any problem with this patch.
Comment 4 Eric Seidel (no email) 2010-12-14 01:25:08 PST
Sounds like this should be cq+'d now?
Comment 5 Hui Huang 2010-12-14 10:07:47 PST
I think so.
Comment 6 Laszlo Gombos 2010-12-14 13:15:26 PST
Comment on attachment 75548 [details]
Remove #ifdef OS(SYMBIAN)

cq+. Laszlo
Comment 7 WebKit Commit Bot 2010-12-14 13:35:49 PST
Comment on attachment 75548 [details]
Remove #ifdef OS(SYMBIAN)

Clearing flags on attachment: 75548

Committed r74057: <http://trac.webkit.org/changeset/74057>
Comment 8 WebKit Commit Bot 2010-12-14 13:35:55 PST
All reviewed patches have been landed.  Closing bug.
Comment 9 Ademar Reis 2011-01-03 05:30:42 PST
Revision r74057 cherry-picked into qtwebkit-2.2 with commit cc20929 <http://gitorious.org/webkit/qtwebkit/commit/cc20929>